uuid: b95a03cc-e8dc-4fcb-b472-4c1721824a4e
langcode: en
status: true
dependencies: {  }
id: upgrade_d7_node_event_vendor
class: Drupal\migrate\Plugin\Migration
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Content
migration_group: migrate_drupal_7
label: 'Nodes (Event Vendor)'
source:
  plugin: d7_node
  node_type: event_vendor
process:
  nid:
    -
      plugin: get
      source: tnid
  vid:
    -
      plugin: get
      source: vid
  langcode:
    -
      plugin: default_value
      source: language
      default_value: und
  title:
    -
      plugin: get
      source: title
  uid:
    -
      plugin: get
      source: node_uid
  status:
    -
      plugin: get
      source: status
  created:
    -
      plugin: get
      source: created
  changed:
    -
      plugin: get
      source: changed
  promote:
    -
      plugin: get
      source: promote
  sticky:
    -
      plugin: get
      source: sticky
  revision_uid:
    -
      plugin: get
      source: revision_uid
  revision_log:
    -
      plugin: get
      source: log
  revision_timestamp:
    -
      plugin: get
      source: timestamp
  comment_node_event_vendor/0/status:
    -
      plugin: get
      source: comment
  field_vendor_cvent_event:
    -
      plugin: get
      source: field_vendor_cvent_event
  field_vendor_description:
    -
      plugin: get
      source: field_vendor_description
  field_vendor_guests:
    -
      plugin: get
      source: field_vendor_guests
  field_vendor_logo:
    -
      plugin: sub_process
      source: field_vendor_logo
      process:
        target_id: fid
        alt: alt
        title: title
        width: width
        height: height
destination:
  plugin: 'entity:node'
  default_bundle: event_vendor
migration_dependencies:
  required:
    - upgrade_d7_user
    - upgrade_d7_node_type
  optional:
    - upgrade_d7_field_instance
    - upgrade_d7_comment_field_instance
